%define name yorick-imutil
%define version 0.5.02
%define release gemini2007dec07

Summary: yorick library for image manipulation
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: BSD
Packager: Francois Rigaut <frigaut@gemini.edu>
Group: Development/Languages
Url: http://www.maumae.net/yorick/doc/plugins.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: yorick >= 2.1 yorick-yutils


%description
Compiled routines for basic but fast image manipulation. Includes 2d
bilinear and spline2 interpolation, clipping, 2d dist generator,
binning, image rotation, cartesian to polar coordinate transform,
gaussian and poisson random generator, fast sort and fast median. All
of these functions, with the exceptions of spline2, exist in yorick or
the yutils package, but these versions are 2 to 10x faster, being
specialized for 2d arrays (hence the name imutil). This plugin is
64bits safe.

%prep
%setup -q

%build
yorick -batch make.i
make
if [ -f check.i ] ; then
   mv check.i %{name}_check.i
fi;
  
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/yorick/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib/yorick/i0
mkdir -p $RPM_BUILD_ROOT/usr/lib/yorick/i-start

install -m 755 imutil.so $RPM_BUILD_ROOT/usr/lib/yorick/lib
install -m 644 *.i $RPM_BUILD_ROOT/usr/lib/yorick/i0
install -m 644 *_start.i $RPM_BUILD_ROOT/usr/lib/yorick/i-start

rm $RPM_BUILD_ROOT/usr/lib/yorick/i0/*_start.i


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/yorick/lib/imutil.so
/usr/lib/yorick/i0/*.i
/usr/lib/yorick/i-start/*_start.i

%changelog
